/* audio volume control for x11 (c) firk 2020-2022
   please respect the authorship
   feel free to use this code for anything */

extern Display * display;
extern Screen * screen;
extern unsigned int  volume;
extern unsigned char mute;

typedef struct {
  int o, x0, y0, w, h, bw;
} winprops;

extern void handle_audio_mute(void);
extern void handle_audio_down(void);
extern void handle_audio_up(void);
extern void handle_audio_set(unsigned v);

/* drawing.c */
extern void x11_init(char const * display_name, winprops *wp);
extern void x11_redraw(void);
extern void x11_event_cycle(int do_wait);

/* keyhooks.c */
extern void init_key_hooks(void);
extern int key_hook_handler(XEvent * ev);

