#!/bin/sh -e

WARNOPTS="-Wreturn-type -Wpointer-sign -Wsign-compare -Wshadow -Wpointer-arith -Wimplicit -Wformat -Werror -Wno-parentheses"
CC="gcc $WARNOPTS"

rm -Rf build
mkdir build
cd build

$CC -c ../tick.c
$CC -c ../fwm-menu.c
$CC -c ../dirscan.c
$CC -c ../x11.c
$CC -c ../xkrap.c
$CC -c ../xsupp.c
$CC -c ../xdg_parser.c
gcc -Wall -Werror -o fwm-menu *.o -lX11

rm -f *.o

echo "fwm-menu build done"
